{ config, pkgs, ... }:
let
  home-manager = builtins.fetchTarball "https://github.com/nix-community/home-manager/archive/master.tar.gz";
  alacritty-catppuccin = builtins.fetchTarball "https://github.com/catppuccin/alacritty/archive/master.tar.gz";
in
{
  imports =
    [ # Include the results of the hardware scan.
      (import "${home-manager}/nixos")
    ];
  home-manager.users.ark.programs.alacritty = {
    enable = true;
    settings = (builtins.fromTOML "${builtins.readFile "${alacritty-catppuccin}/catppuccin-macchiato.toml"}") //
    {
      font = {
        size = 14;
        normal = {
          family = "BlexMono Nerd Font Mono";
          style = "Medium";
        };
        bold = {
          family = "BlexMono Nerd Font Mono";
          style = "Bold";
        };
        italic = {
          family = "BlexMono Nerd Font Mono";
          style = "Italic";
        };
        bold_italic = {
          family = "BlexMono Nerd Font Mono";
          style = "Bold Italic";
        };
      };
    };
  };
}