{ config, pkgs, ... }:
let
  home-manager = builtins.fetchTarball "https://github.com/nix-community/home-manager/archive/master.tar.gz";
  hyprland-catppuccin = builtins.fetchTarball "https://github.com/catppuccin/hyprland/archive/master.tar.gz";
in
{
  imports =
    [ # Include the results of the hardware scan.
      (import "${home-manager}/nixos")
    ];
  home-manager.users.ark.programs.wpaperd = {
    enable = true;
    settings = {
      default = {
        path = "/etc/nixos/wallpapers/nix-black-4k.png";
        apply-shadow = true;
      };
    };
  };
  home-manager.users.ark.wayland.windowManager.hyprland = {
    enable = true;
    xwayland = {
      enable = true;
    };
    settings = {
      "$mod" = "SUPER";
      "$terminal" = "alacritty";
      bind = [
        "$mod, S, exec, wofi --show drun --show-icons"
        "$mod, Q, exec, $terminal"
        "$mod, M, exit,"
        "$mod, 1, workspace, 1"
        "$mod, 2, workspace, 2"
        "$mod, 3, workspace, 3"
        "$mod, 4, workspace, 4"
        "$mod, 5, workspace, 5"
        "$mod, 6, workspace, 6"
        "$mod, 7, workspace, 7"
        "$mod, 8, workspace, 8"
        "$mod, 9, workspace, 9"
        "$mod, 0, workspace, 10"
        "$mod SHIFT, 1, movetoworkspace, 1"
        "$mod SHIFT, 2, movetoworkspace, 2"
        "$mod SHIFT, 3, movetoworkspace, 3"
        "$mod SHIFT, 4, movetoworkspace, 4"
        "$mod SHIFT, 5, movetoworkspace, 5"
        "$mod SHIFT, 6, movetoworkspace, 6"
        "$mod SHIFT, 7, movetoworkspace, 7"
        "$mod SHIFT, 8, movetoworkspace, 8"
        "$mod SHIFT, 9, movetoworkspace, 9"
        "$mod SHIFT, 0, movetoworkspace, 10"
      ];
      bindm = [
        "$mod, mouse:272, movewindow"
        "$mod, mouse:273, resizewindow"
      ];
      exec-once = [
        "wpaperd"
        "dunst"
        "lxqt-policykit-agent"
        "nm-applet --indicator"
        "waybar"
      ];
      decoration = {
        rounding = 10;
      };
    };
  };
}

